Skip to main content
POST
/
v1
/
maintenance-windows
/
{id}
/
maintenances
/
{maintenanceId}
/
updates
Create a maintenance window status update
curl --request POST \
  --url https://api.checklyhq.com/v1/maintenance-windows/{id}/maintenances/{maintenanceId}/updates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "notifySubscribers": false
}
'
{
  "id": "<string>",
  "maintenanceWindowId": 123,
  "maintenanceId": "<string>",
  "status": "<string>",
  "description": "<string>",
  "notifySubscribers": true,
  "created_at": "2023-12-25",
  "previousStatus": "<string>",
  "previousStartsAt": "2023-12-25",
  "previousEndsAt": "2023-12-25",
  "dateAdjustments": {
    "startsAt": "2023-12-25",
    "endsAt": "2023-12-25"
  }
}

Documentation Index

Fetch the complete documentation index at: https://checkly-422f444a-api-doc-maintenance-windows-create-a-maint.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Path Parameters

id
integer
required
maintenanceId
string
required

Body

application/json
status
enum<string>
required

The lifecycle status of this update.

Available options:
SCHEDULED,
IN_PROGRESS,
VERIFYING,
COMPLETED,
CANCELLED
description
string
required

A description of the update.

Maximum string length: 2000
notifySubscribers
boolean
default:false

Whether to notify status page subscribers about this update.

Response

Created

id
string
required
maintenanceWindowId
number
required
maintenanceId
string
required
status
string
required
description
string
required
notifySubscribers
boolean
required
created_at
string<date>
required
previousStatus
string | null
previousStartsAt
string<date> | null
previousEndsAt
string<date> | null
dateAdjustments
object